Mesa 9.1.5 and Xorg 1.14.2 rolling repos for Rosa Fresh R1

Latest shouts directly from our packagers and call for public testing MIB packages
User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Mesa 9.1.5 and Xorg 1.14.2 rolling repos for Rosa Fresh R1

Post by NicCo »

Last Update: 02 August 2013
Complete Mesa 9.1.5 and Xorg 1.14.2 complete port for Rosa Fresh (2012.1)


*** ENGLISH *** (per Italiano, vai sotto)
Introduction:
As the time flows, any component of a distribution inevitably become outdated, even the more fundamental ones. This is particularly true for the packages forming the "graphical stack" of a distro, i.e. the various pieces needed to have a working Xserver install: they range from the low-level kernel bits (AKA DRM) to the xorg Xserver with its drivers and libraries and also include other things as libdrm, Mesa, libvdpau, libva, pixman and so on...
All these components usually "grow" as the time passes, receiving bug-fixes, new features or - more interesting - some optimizations; alas, this happens at different paces and times and not always without troubles (e.g.: when the kernel 3.2 introduced a new DRM interface for the nouveau driver, the existing libdrm and Mesa suddenly not only did not build anymore because they still supported the old one, but also completely stopped working). Such situation makes the maintainers of a distribution a little wary when considering an update to the graphic stack packages because they are critical ones and some troubles here can easily break an otherwise working system: so usually they don't do any upgrade at all until the next distro release; however, in this way also the best graphical stack at the distro release time is doomed to become, sooner or later, less interesting or with less performance, while its packages become older and older.
Enters here the MIB: we would like to have for our beloved distro the latest-and-greatest graphical stack components as soon as they are available, to enjoy the new features and improvements they sports, without the need to wait for the next distro release (where usually such changes happen).


So, for all the braves, here is a complete build of all the user-space components of the Rosa 2012.1 graphic stack: libdrm, Mesa and related libraries, pixman, xorg with its libraries and drivers; all conveniently placed in a repository for an easy upgrade.

To do it, if you had added the previous MIB-X13 repo remove it, and then add the repository below and do an upgrade.


ROSA Desktop.Fresh 2012 - 64bit
(we prefer adding also 32bit repo to avoid removing files from wine, skype, and other used 32bit apps...)

Code: Select all

urpmi.addmedia MIB-X14 http://mib.pianetalinux.org/MIB/rosa2012.1/64/testing/mesa-xorg/
urpmi.addmedia MIB-X14_32bit http://mib.pianetalinux.org/MIB/rosa2012.1/32/testing/mesa-xorg/
rpm -e --nodeps x11-driver-video-ati
urpmi --auto-select --auto
urpmi x11-driver-video-ati
#
ROSA Desktop.Fresh 2012 - 32bit

Code: Select all

urpmi.addmedia MIB-X14 http://mib.pianetalinux.org/MIB/rosa2012.1/32/testing/mesa-xorg/
rpm -e --nodeps x11-driver-video-ati
rpm -e --nodeps x11-driver-video-sis
urpmi --auto-select --auto
urpmi x11-driver-video-ati
urpmi x11-driver-video-sis
#
After that, if all did go well, you will need to reload the Xserver (if you are booting in text mode) or to reboot the PC (if you are booting directly in graphical mode).


MIB build features
Generally speaking, a "MIB build" tries for any package in it to enable as many features as it is possible and useful. Here is a detailed list of major changes from the packages present on a "standard" Rosa Desktop Fresh 2012.1 install:
* Libdrm-2.4.44-69.1:
- dropped useless (and potentially dangerous) old patches causing nouveau to be built against the older DRM interface rather than the new one present in kernels >= 3.2;
- enabled experimental drivers (exynos, omap) and added packages for them;
- added means to build man pages (disabled ATM).

* Libvdpau-0.6-69.1:
- updated to new release 0.6.

* Libva-1.1.1-69.1:
- updated to new release 1.1.1;
- and also updated the vaapi-driver-intel to the release 1.0.20.

* Libwayland-1.1.0-69-1:
- updated to new release 1.1.0.

* Llvm-3.2-0.20130301.69.1:
- updated to the latest snapshot of the T. Stellard development tree (for the opencl R600 backend support);
- made llvm and clang more FHS compliant (ie install their library bits in the right path according to the arch).

* Glamor-0.5-0.git20130313.69.1:
- xserver graphics common driver based on the GL library, from the latest snapshot of the main devel tree (at 01/03/2013).

* Libclc-0.0.1-0.20130311:
- An implementation of the OpenCL library needed by the radeon mesa drivers.

* Mesa-9.1.2-69.1:
- added provision to build: osmesa library packages (enabled because it is needed by Wine 1.5.10+); wayland packages (enabled as in the standard packaging);
- enabled opencl support and for the new glsl compiler for radeons;
- enabled support for radeonsi gallium driver (ie: for HD7750 and later AMD video cards);
- now resolved the troubles with the glx-tls build option and nvidia proprietary drivers: there is no more need for a dedicated build
- built also the drivers needed for VmWare (xa state tracker);
- built XvMC support and added a config file needed to having it actually work (but you will have to edit it according to your video card type: for instructions see the included README.XvMC file);
- removed vaapi build support and relevant patch and packages, because it was removed upstream;
- enabled the support of the texture-float feature, and hence the support for OpenGL 3.0 (3.1 on intel and radeon drivers).

* Mesa-libGLU-9.0.0-69.1:
- updated from git snapshot to the final 9.0.0 release (no functional changes, though).

* Freeglut-2.8.0-69.1:
- Added a couple of patches from upstream.

* LibGLw-8.0.0-69.1:
- updated to official release (no functional changes, though).

* Mesa-demos-8.1.0-69.2:
- updated to new release 8.1.0;
- installed more programs than in the standard install;
- kept disabled wayland support due to building failures, related to the changes from wayland pre-1.0 to 1.0 and not yet resolved upstream.

* Pixman 0.29.4-69.1:
- updated to new release 0.29.4.

* Updated Xorg libraries:
- x11-proto-devel (7.7-69.2);
- Xwa3d (1.6.2);
- x11-data-xkbdata (2.8);
- libXdamage (1.1.4);
- libXcomposite 0.4.4);
- libxklavier (5.4);
- libfontenc (1.1.2);
- libxi (1.7.1);
- libXtrap (1.0.1).

* Xorg 1.14.1-69.1:
- updated input drivers: wacom (0.20.0) , synaptics 1.7.0, joystick (1.6.2) and vmmouse (13.0.0);
- updated video drivers: nouveau (1.0.7-0.20130311), cirrus (1.5.2), modesetting (0.6.0), openchrome (0.3.2), mach64 (6.9.4), intel (2.21.6), qxl (0.2.0-0.20130306), ati (7.1.1-0.20130327) and vmware (13.0.1);
- enabled SNA acceleration mode support in the current intel video driver;
- enabled glamor acceleration mode support in both intel and ati video drivers: to test it you will need to add to your xorg.conf file the item
' "Option "AccelMethod" "glamor" ' in the Driver section;
- dropped temporarily Sis video driver as it does not build against the new xserver;
- built Nvidia proprietary drivers against the new server: nvidia173.14.37, nvidia-long-lived-304.88 and nvidia-current-313.26;
- the AMD proprietary ones (fglrx-12.104 and fglrx-legacy-8.097.100.7) still don't support the newer xserver.

* updated utilities:
bdftopcf (1.0.4), beforelight (1.0.5), editres (1.0.6), ico (1.0.4), rgb (1.0.5), viewres (1.0.4), xcalc (1.0.5), xconsole (1.0.5), xedit (1.2.1), xev (1.2.1), xgc (1.0.4), xmag (1.0.5), xmessage (1.0.4), xsetroot (1.1.1), sessreg (1.0.8), xstdcmap (1.0.3), xscreensaver (5.21), xvinfo (1.1.2) and xvidtune (1.0.3).

Please do a test and report your results; we are particularly interested at the results of the use:
- of the "glamor" thing for all Intel and Radeon older than HD 7750;
- of the nvidia proprietary drivers with the Mesa built with the "--enable-glx-tls" option (ie the one in the main repo).
Remember to specify your video hw and video drivers loaded: the output of the command "inxi -F" is usually enough).


Advices to do an effective testing
1) The usual warnings apply here: this is a test repository, so every type of bad things can happen (burning of your video cards or pc or house;
killing of you favourite pet and so on)...
Please make sure to always have a good backup before doing the upgrade and be prepared to restore it if needed.

2) Please also notice that, when toying with the graphical stack and the Xserver, is also useful to temporarily set your SO to do a textual boot rather than a graphical one: in this way you will near always have the chance to reach a working command prompt even if something goes wrong with the update, thus preventing X to work properly; this happens because (at least with the open drivers) a textual boot only involves the kernel DRM and its user-space interface (i.e. libdrm), leaving out all the other graphic stack layers.


NOTE FOR THE USERS OF THE PROPRIETARY FGLRX DRIVERS
Unfortunately AMD is very slow to add the support for newer kernels or xserver to their drivers: ATM they still because still don't support the new xserver 1.14.0 ABI;
we will build them as soon as this support wil be added. So you cannot update the xserver nor do an upgrade of the whole graphical stack at once; however you
still we be able to use many things from our repo to selectively upgrade your system: libva, libwayland, llvm, mesa, mesa-demos and also libxi, all should
work fine even with the older xserver 1.13.2. You only have to update them one at time and not with the simplier "urpmi --auto-select" way.



*** ITALIANO ***
Parti principali:
  • libdrm 2.4.44
  • mesa 9.1.2 con annesso il necessario llvm+clang 3.2
  • libclc
  • libva 1.1.1 e vaapi-driver-intel 1.0.20
  • glamor
  • xserver 1.14.1 con annessi driver input e video (free e proprietari)
Caratteristiche "speciali" del nostro build:
* llvm e clang sono (si spera) ora FHS-compliant, cioè non mettono più
le loro cose sempre in /usr/lib, ma in %_libdir... e sembra che
continuino a funzionare(!);

* in mesa 9.1.2 è stato attivato il supporto per OpenCL nei driver
radeon free

* i driver X proprietari nvidia sono stati aggiornati: i long-lived alla
versione 304.88 e i current alla 313.26 (rimane da fare la preparazione
del nvidia173 che ancora richiede la patch per i kernel > 3.7); questo
dovrebbe garantire il supporto di xserver 1.14.1 e di detti kernel;

* i driver X per ati e intel sono stati compilati con il supporto anche
per l'accelezione "glamor": per attivarla e testarla bisogna mettere
l'opzione "Option "AccelMethod" "glamor" " nel file xorg.conf

* in mesa 9.1.2 sono stati attivati il supporto per glamor e il driver
radeonsi (necessario alle schede AMD basate su chipset Southern Island:
cioè quelle dalla HD7750 in avanti); questo però ha richiesto la
compilazione di mesa con l'opzione "--enable-glx-tls" che, a quanto
sappiamo, dà fastidio ai driver proprietari nvidia: per questo, come nel
caso dell'xserver 1.13 e di pixman, ho predisposto nella dir no-glxtls
un build di mesa *senza* detta opzione (e, ovviamente, senza il supporto
per i radeonsi) con un numero di release (69.2) > di quella "normale",
in modo da permettere agevolmente l'upgrade...


ROSA Desktop.Fresh 2012 - 64bit
(preferiamo aggiungere anche il repo 32bit repo, per evitare la rimozione di files da wine, skype, ecc,)

Code: Select all

urpmi.addmedia MIB-X14 http://mib.pianetalinux.org/MIB/rosa2012.1/64/testing/mesa-xorg/
urpmi.addmedia MIB-X14_32bit http://mib.pianetalinux.org/MIB/rosa2012.1/32/testing/mesa-xorg/
rpm -e --nodeps x11-driver-video-ati
urpmi --auto-select --auto
urpmi x11-driver-video-ati
#
ROSA Desktop.Fresh 2012 - 32bit

Code: Select all

urpmi.addmedia MIB-X14 http://mib.pianetalinux.org/MIB/rosa2012.1/32/testing/mesa-xorg/
rpm -e --nodeps x11-driver-video-ati
urpmi --auto-select --auto
urpmi x11-driver-video-ati
#

Ciao da GvM e NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
andreas
Utente
Utente
Posts: 281
Joined: 1 November 2008, 20:03

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by andreas »

Io con Nvidia non riesco ad aggiornare, neppure abilitando il secondo repo: Ti riporto i messaggi che ricevo:

Code: Select all

root@Desktop-1 andrea]# urpmi --auto-select --auto
Some requested packages cannot be installed:
x11-driver-video-ati-7.1.0-69.2-mib2012.1.x86_64 (in order to keep x11-driver-video-ati-7.1.0-1-rosa2012.1.x86_64)
x11-driver-video-sis-0.10.7-2-rosa2012.1.x86_64 (in order to keep x11-driver-video-sis-0.10.7-69.1-mib2012.1.x86_64)
The following packages have to be removed for others to be upgraded:
x11-driver-video-ati-7.1.0-1-rosa2012.1.x86_64
 (due to unsatisfied xserver-abi(videodrv-13) >= 1)
x11-driver-video-sis-0.10.7-69.1-mib2012.1.x86_64
 (due to unsatisfied xserver-abi(videodrv-13) >= 1)


installing x11-driver-video-sisusb-0.9.6-69.2-mib2012.1.x86_64.rpm x11-driver-video-fbdev-0.4.3-69.2-mib2012.1.x86_64.rpm x11-driver-input-mouse-1.8.1-69.2-mib2012.1.x86_64.rpm lib64llvm3.2-3.2-0.20130301.69.1-mib2012.1.x86_64.rpm mesa-9.1.1-69.2-mib2012.1.x86_64.rpm x11-driver-input-hyperpen-1.4.1-69.2-mib2012.1.x86_64.rpm lib64dricore1-9.1.1-69.2-mib2012.1.x86_64.rpm lib64gl1-9.1.1-69.2-mib2012.1.x86_64.rpm lib64xatracker1-9.1.1-69.2-mib2012.1.x86_64.rpm lib64egl1-9.1.1-69.2-mib2012.1.x86_64.rpm x11-driver-input-wacom-0.20.0-69.1-mib2012.1.x86_64.rpm x11-driver-video-glint-1.2.8-69.2-mib2012.1.x86_64.rpm x11-driver-video-sisimedia-0.9.1-2.20091203.69.1-mib2012.1.x86_64.rpm x11-driver-video-intel-2.21.4-69.1-mib2012.1.x86_64.rpm x11-driver-video-r128-6.9.1-69.2-mib2012.1.x86_64.rpm x11-driver-video-mach64-6.9.4-69.2-mib2012.1.x86_64.rpm x11-driver-video-mga-1.6.2-69.2-mib2012.1.x86_64.rpm x11-driver-video-vmware-13.0.0-69.2-mib2012.1.x86_64.rpm x11-server-xorg-1.14.0-69.1-mib2012.1.x86_64.rpm lib64glesv1_1-9.1.1-69.2-mib2012.1.x86_64.rpm x11-driver-video-nv-2.1.20-69.2-mib2012.1.x86_64.rpm x11-driver-video-modesetting-0.6.0-69.2-mib2012.1.x86_64.rpm lib64dri-drivers-9.1.1-69.2-mib2012.1.x86_64.rpm x11-driver-video-nouveau-1.0.7-0.20130311.69.1-mib2012.1.x86_64.rpm x11-driver-input-keyboard-1.6.2-69.2-mib2012.1.x86_64.rpm x11-driver-input-vmmouse-13.0.0-69.2-mib2012.1.x86_64.rpm x11-driver-video-neomagic-1.2.7-69.2-mib2012.1.x86_64.rpm x11-driver-video-v4l-0.2.0-69.2-mib2012.1.x86_64.rpm x11-driver-video-savage-2.3.6-69.2-mib2012.1.x86_64.rpm x11-driver-video-s3virge-1.10.6-69.2-mib2012.1.x86_64.rpm x11-driver-video-trident-1.3.6-69.2-mib2012.1.x86_64.rpm lib64glesv2_2-9.1.1-69.2-mib2012.1.x86_64.rpm dkms-nvidia-current-313.26-69.1-mib2012.1.x86_64.rpm x11-driver-video-s3-0.6.5-69.2-mib2012.1.x86_64.rpm x11-driver-video-cirrus-1.5.2-69.2-mib2012.1.x86_64.rpm x11-driver-input-joystick-1.6.2-69.2-mib2012.1.x86_64.rpm lib64glapi0-9.1.1-69.2-mib2012.1.x86_64.rpm x11-driver-input-evdev-2.7.3-69.2-mib2012.1.x86_64.rpm x11-driver-video-tdfx-1.4.5-69.2-mib2012.1.x86_64.rpm x11-driver-video-openchrome-0.3.2-0.20130304.69.1-mib2012.1.x86_64.rpm lib64glamor0-0.5-0.git20130313.69.1-mib2012.1.x86_64.rpm x11-driver-input-void-1.4.0-69.2-mib2012.1.x86_64.rpm x11-server-common-1.14.0-69.1-mib2012.1.x86_64.rpm x11-driver-input-synaptics-1.6.99-0.20130102.69.2-mib2012.1.x86_64.rpm x11-driver-video-vesa-2.3.2-69.2-mib2012.1.x86_64.rpm from /var/cache/urpmi/rpms
Installation failed:
        x11-driver-video-sis is needed by (installed) x11-driver-video-1.0.0-41.x86_64
        x11-driver-video-ati is needed by (installed) x11-driver-video-1.0.0-41.x86_64
        error while checking dependencies



installing lib64wayland-client0-1.0.5-69.1-mib2012.1.x86_64.rpm lib64gbm1-9.1.1-69.2-mib2012.1.x86_64.rpm lib64wayland-server0-1.0.5-69.1-mib2012.1.x86_64.rpm from /var/cache/urpmi/rpms
Installation failed:
        libLLVM-3.2.so()(64bit) is needed by lib64gbm1-9.1.1-69.2.x86_64
        error while checking dependencies

Installation failed:    x11-driver-video-sis is needed by (installed) x11-driver-video-1.0.0-41.x86_64
        x11-driver-video-ati is needed by (installed) x11-driver-video-1.0.0-41.x86_64
        error while checking dependencies
        libLLVM-3.2.so()(64bit) is needed by lib64gbm1-9.1.1-69.2.x86_64
        error while checking dependencies
While some packages may have been installed, there were failures.
Some requested packages cannot be installed:
x11-driver-video-ati-7.1.0-69.2-mib2012.1.x86_64 (in order to keep x11-driver-video-ati-7.1.0-1-rosa2012.1.x86_64)
x11-driver-video-sis-0.10.7-2-rosa2012.1.x86_64 (in order to keep x11-driver-video-sis-0.10.7-69.1-mib2012.1.x86_64)
[root@Desktop-1 andrea]# 
AndreaS

Procio Intel i7-4930k, mobo Asus X79-Deluxe, Adaptec raid 7805, Nvidia Quadro 6000 - Rosa Fresh R3 X64

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by GvMariani »

andreas wrote:Io con Nvidia non riesco ad aggiornare, neppure abilitando il secondo repo: Ti riporto i messaggi che ricevo:
Gli errori non dipendono dal repo senza glx-tls o da quello principale: quelli sono lì solo per verificare che l'uso dell'opzione
--enable-glx-tls nel build di Mesa non mandi in crisi i driver proprietari Nvidia (dovrebbe e, per questo, c'è il package buildato senza quell'opzione nel secondo repo)...

Sono dovuti a cause differenti, tranne forse l'ultimo:
Some requested packages cannot be installed:
x11-driver-video-ati-7.1.0-69.2-mib2012.1.x86_64 (in order to keep x11-driver-video-ati-7.1.0-1-rosa2012.1.x86_64)
Hai installato il rpm "standard" che, a un certo punto, è stato messo in main-updates e questo ha la precedenza su quello MIB (oltre ad essere meno "dotato" di quest'ultimo)
perché "rosa" > "mib"...
per installare il nostro devi prima mettere "x11-driver-video-ati" nel file /etc/uprmi/skip.list (così non ti chiederà più di reinstallare quello standard) e poi aggiornare con l'opzione "--force"
Some requested packages cannot be installed:
...
x11-driver-video-sis-0.10.7-2-rosa2012.1.x86_64 (in order to keep x11-driver-video-sis-0.10.7-69.1-mib2012.1.x86_64)
Nel build MIB attualmente è assente questo poco usato driver video, perché al momento non compila con il nuovo xserver...
Per risolvere la cosa, per il momento semplicemente rimuovi il vecchio driver, in modo che non cerchi di farne l'upgrade con quello standard (che comunque fallirà perché quest'ultimo non è compilato per l'ABI del nuovo server)...
x11-driver-video-sis is needed by (installed) x11-driver-video-1.0.0-41.x86_64
Ecco qui è colpa mia: mi sono dimenticato di togliere dal meta-package il driver sis di cui sopra...
Provvedo in giornata alla nuova versione, tanto devo aggiungere ancora qualcosina...
libLLVM-3.2.so()(64bit) is needed by lib64gbm1-9.1.1-69.2.x86_64
Questo non so di dove venga: il file in questione è contenuto nel rpm lib64llvm3.2-3.2-0.20130301.69.1-mib2012.1.x86_64.rpm che si trova correttamente nel repo principale...
L'errore, secondo me, ti è arrivato perché hai abilitato solo il secondo repo (vedi il "69.2" finale della lib64gbm1?) e lì ci sono solo i rpm di Mesa e non quelli di llvm: devi tenere abilitati tutti e due i repo, tanto la release di mesa del secondo è maggiore di quella del primo (69.2 > 69.1) e quindi urpmi ti pesca quella giusta insieme agli altri file che ti servono...


Visto che stai provando, ti spiacerebbe fare un tentativo prima solo col repo principale, per vedere se gli ultimi Nvidia hanno ancora problemi con l'opzione glx-tls in Mesa?
Io non posseggo schede Nvidia, quindi non posso fare direttamente la prova.
Se ti mancasse l'accelerazione o trovassi errori strani in /var/log/messages, la riposta sarebbe "sì" e, allora, il build del repo secondario dovrebbe ripristinare le cose...


GvM

User avatar
andreas
Utente
Utente
Posts: 281
Joined: 1 November 2008, 20:03

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by andreas »

Anzitutto grazie per la risposta.
La prova di installare abilitando soltanto il primo repo la ho fatta subito, dato che la richiedevi nel testo del messaggio.
Provando a disinstallare uno dei due driver video (non ne sono dicuro, ma penso di avere cominciato dal sis), urpme si portava dietro come dipendenza x11-driver-video-1.0.0-41-rosa2012.1.x86_64 e provando a farlo da KCM ottengo lo stesso messaggio, ma poi vedo che si porta dietro tutto X.org. Quindi ho desistito.
Il driver Ati è stato installato quando ho aggiornato X-org alla versione 13, ma a me non serve. Provando a disinstallarlo ricado nel punto precedente.
Il driver ati comunque non mi serve e quindi penserei soltanto di inserirlo nella skip list per evitare il problema.
Quanto all'ultima segnalazione, le prove le ho fatte prima con il solo repo x14 e poi aggiungendo il secondo senza disabilitare il primo.
In seguito ho provato invece a disabilitare il repo x13, ma nulla è cambiato.
Per ultimo ho provato ad abilitare l'opzione update nei due repo X14 e quello senza glx-tls: questa volta il messaggio di errore si è allungato anche se sostanzialmente gli errori segnalati erano gli stessi, almeno ad una lettura frettolosa, ma non te lo ho riportato perchè stavo uscendo dal tuo "seminato".
Attendo il prossimo aggiornamento e poi, se lo consideri utile, posso provare a ripartire con soltanto il repo x-14 abilitato.

Grazie per il tuo aiuto

P.S. Ho riprovato a disinstallare il driver SIS e confermo quanto sopra riportato.
AndreaS

Procio Intel i7-4930k, mobo Asus X79-Deluxe, Adaptec raid 7805, Nvidia Quadro 6000 - Rosa Fresh R3 X64

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by NicCo »

andreas wrote:Anzitutto grazie per la risposta.
La prova di installare abilitando soltanto il primo repo la ho fatta subito, dato che la richiedevi nel testo del messaggio.
Provando a disinstallare uno dei due driver video (non ne sono dicuro, ma penso di avere cominciato dal sis), urpme si portava dietro come dipendenza x11-driver-video-1.0.0-41-rosa2012.1.x86_64 e provando a farlo da KCM ottengo lo stesso messaggio, ma poi vedo che si porta dietro tutto X.org. Quindi ho desistito.
Il driver Ati è stato installato quando ho aggiornato X-org alla versione 13, ma a me non serve. Provando a disinstallarlo ricado nel punto precedente.
Il driver ati comunque non mi serve e quindi penserei soltanto di inserirlo nella skip list per evitare il problema.
Quanto all'ultima segnalazione, le prove le ho fatte prima con il solo repo x14 e poi aggiungendo il secondo senza disabilitare il primo.
In seguito ho provato invece a disabilitare il repo x13, ma nulla è cambiato.
Per ultimo ho provato ad abilitare l'opzione update nei due repo X14 e quello senza glx-tls: questa volta il messaggio di errore si è allungato anche se sostanzialmente gli errori segnalati erano gli stessi, almeno ad una lettura frettolosa, ma non te lo ho riportato perchè stavo uscendo dal tuo "seminato".
Attendo il prossimo aggiornamento e poi, se lo consideri utile, posso provare a ripartire con soltanto il repo x-14 abilitato.

Grazie per il tuo aiuto

P.S. Ho riprovato a disinstallare il driver SIS e confermo quanto sopra riportato.
In questi casi, quando ti trovi a dover disinstallare dei pacchetti inutili, ma legati ad altri, e che provocherebbero un terremoto,
non bisogna usare la disinstallazione grafica, neè il comando urpme, ma bensì

Code: Select all

rpm -e --nodeps pacchetto
e provando, proprio adesso, a disinstallare inutile driver per noi con nvidia, quali i "sis" ed "ati":

Code: Select all

rpm -e --nodeps x11-driver-video-sis
rpm -e --nodeps x11-driver-video-ati
Guarda sopra:
la prima volta ha cancellato il pacchetto senza fiatare,
se lo chiedo la seconda volta, mi dice che non c'è più!

Ciao, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by GvMariani »

andreas wrote:Anzitutto grazie per la risposta.
La prova di installare abilitando soltanto il primo repo la ho fatta subito, dato che la richiedevi nel testo del messaggio.
Provando a disinstallare uno dei due driver video (non ne sono dicuro, ma penso di avere cominciato dal sis), urpme si portava dietro come dipendenza x11-driver-video-1.0.0-41-rosa2012.1.x86_64 e provando a farlo da KCM ottengo lo stesso messaggio, ma poi vedo che si porta dietro tutto X.org. Quindi ho desistito.
Il driver Ati è stato installato quando ho aggiornato X-org alla versione 13, ma a me non serve. Provando a disinstallarlo ricado nel punto precedente.
Il driver ati comunque non mi serve e quindi penserei soltanto di inserirlo nella skip list per evitare il problema.
Quanto all'ultima segnalazione, le prove le ho fatte prima con il solo repo x14 e poi aggiungendo il secondo senza disabilitare il primo.
In seguito ho provato invece a disabilitare il repo x13, ma nulla è cambiato.
Per ultimo ho provato ad abilitare l'opzione update nei due repo X14 e quello senza glx-tls: questa volta il messaggio di errore si è allungato anche se sostanzialmente gli errori segnalati erano gli stessi, almeno ad una lettura frettolosa, ma non te lo ho riportato perchè stavo uscendo dal tuo "seminato".
Attendo il prossimo aggiornamento e poi, se lo consideri utile, posso provare a ripartire con soltanto il repo x-14 abilitato.
Grazie per il tuo aiuto
P.S. Ho riprovato a disinstallare il driver SIS e confermo quanto sopra riportato.
Ho appena messo on-line i meta-packages x11-driver-video-1.0 aggiornati per non richiedere più il driver sis (e, per sicurezza, con l'aggiunta di un temporaneo "Obsolete" per detto driver in modo che esso venga rimosso all'installazione del nuovo meta-package: così ci togliamo il problema una volta per tutte...): appena NicCo aggiorna le liste saranno visibili e il problema col rpm di SiS si dovrebbe risolvere.
Il driver Ati è stato installato quando ho aggiornato X-org alla versione 13, ma a me non serve. Provando a disinstallarlo ricado nel punto precedente.
Il driver ati comunque non mi serve e quindi penserei soltanto di inserirlo nella skip list per evitare il problema.
No: il driver ati "standard" si è installato indipendentemente da quello del MIB (forse addirittura un mese dopo) ed è per questo che "fa casino" col resto dell'installazione.
Il passo della skip list serve solo ad evitare che, una volta installato quello "giusto", non ti venga riproposto quello nel main-updates (che per le ragioni dette prima ha la precedenza sul nostro e viene considerato più recente anche se non lo è).
Inoltre, in questi casi, urpmi non è di grande aiuto perché cerca di risolvere le dipendenze per favorirti, ma in realtà peggiora la situazione; anche l'interfaccia grafica non favorisce tanto, perché nasconde gli eventuali messaggi di errore di urpmi/rpm: meglio quindi andare in una console ed utilizzare se necessario direttamente rpm.
Il procedimento per correggere la cosa dovrebbe essere il seguente
1. abilitare il repo x14 principale
2. da console: rpm -e --nodeps x11-driver-video-ati (come ti suggeriva NicCo), prima di fare l'upgrade generale, altrimenti il rpm MIB non si installerà mai per la presenza dell'altro rpm
3. metti nella skip list "x11-driver-video-ati"
4. urpmi --auto-select, per installare tutto quanto: il driver ati dovrebbe venir "tirato su" automaticamente dal meta-package x11-driver-video
5. se ciò non avviene (o se tira ancora su il rpm sbagliato), installa forzatamente il rpm "giusto": rpm -Uvh --force x11-driver-video-ati-7.1.0-69.2-mib2012.1.x86_64.rpm
A questo punto dovresti avere quel che ti serve al posto giusto.
Quanto all'ultima segnalazione, le prove le ho fatte prima con il solo repo x14 e poi aggiungendo il secondo senza disabilitare il primo.
In seguito ho provato invece a disabilitare il repo x13, ma nulla è cambiato.
Per ultimo ho provato ad abilitare l'opzione update nei due repo X14 e quello senza glx-tls:
Dunque, se non capisco male, hai abilitato il repo X13 (quello del precedente refresh) e il X14 (quello "nuovo"), con l'eventuale aggiunta del no-glxtls?
Se è così, il primo andrebbe tolto: non ti serve e può solo fare casino (perchè, in realtà, punta alla stessa directory del nuovo...).
Se, nonostante questo, il messaggio di errore con llvm3.2 continua ad esserci, allora mi serve proprio un log del tentativo di installazione con urpmi (o, meglio, rpm) e lo switch "--verbose" per capire cosa va storto e perché.

GvM

User avatar
andreas
Utente
Utente
Posts: 281
Joined: 1 November 2008, 20:03

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by andreas »

Allora ho seguito le istruzioni (non avevo provato con rpm -e perchè non vedendo l'analogo di --nodeps in urpme avevo paura potesse combinare qualche guaio) e tutto è filato liscio. Mi pare però di non trovare riferimenti a mesa (si era forse già installato in un precedente tentativo? (si direbbe di si, a giudicare da kcm) e non capisco perchè il driver nvidia sia riportato come inattivo nel kernel corrente (3.8.4 come da uname al fondo).
Ti posto l'output ottenuto..... ah, dimenticavo, non è stato necessario abilitare il secondo repo. Finito di scrivere, faccio un bel reboot e incrocio.

Code: Select all

root@Desktop-1 andrea]# rpm -e --nodeps x11-driver-video-sis
[root@Desktop-1 andrea]# rpm -e --nodeps x11-driver-video-ati
[root@Desktop-1 andrea]# urpmi --auto-select
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "MIB-X14")
 dkms-nvidia-current            313.26       69.1          mib   2012.1 x86_64 
 lib64glamor0                   0.5          0.git2013031> mib   2012.1 x86_64 
 x11-driver-input-evdev         2.7.3        69.2          mib   2012.1 x86_64 
 x11-driver-input-hyperpen      1.4.1        69.2          mib   2012.1 x86_64 
 x11-driver-input-joystick      1.6.2        69.2          mib   2012.1 x86_64 
 x11-driver-input-keyboard      1.6.2        69.2          mib   2012.1 x86_64 
 x11-driver-input-mouse         1.8.1        69.2          mib   2012.1 x86_64 
 x11-driver-input-synaptics     1.6.99       0.20130102.6> mib   2012.1 x86_64 
 x11-driver-input-vmmouse       13.0.0       69.2          mib   2012.1 x86_64 
 x11-driver-input-void          1.4.0        69.2          mib   2012.1 x86_64 
 x11-driver-input-wacom         0.20.0       69.1          mib   2012.1 x86_64 
 x11-driver-video-cirrus        1.5.2        69.2          mib   2012.1 x86_64 
 x11-driver-video-fbdev         0.4.3        69.2          mib   2012.1 x86_64 
 x11-driver-video-glint         1.2.8        69.2          mib   2012.1 x86_64 
 x11-driver-video-intel         2.21.4       69.1          mib   2012.1 x86_64 
 x11-driver-video-mach64        6.9.4        69.2          mib   2012.1 x86_64 
 x11-driver-video-mga           1.6.2        69.2          mib   2012.1 x86_64 
 x11-driver-video-modesetting   0.6.0        69.2          mib   2012.1 x86_64 
 x11-driver-video-neomagic      1.2.7        69.2          mib   2012.1 x86_64 
 x11-driver-video-nouveau       1.0.7        0.20130311.6> mib   2012.1 x86_64 
 x11-driver-video-nv            2.1.20       69.2          mib   2012.1 x86_64 
 x11-driver-video-openchrome    0.3.2        0.20130304.6> mib   2012.1 x86_64 
 x11-driver-video-r128          6.9.1        69.2          mib   2012.1 x86_64 
 x11-driver-video-s3            0.6.5        69.2          mib   2012.1 x86_64 
 x11-driver-video-s3virge       1.10.6       69.2          mib   2012.1 x86_64 
 x11-driver-video-savage        2.3.6        69.2          mib   2012.1 x86_64 
 x11-driver-video-sisimedia     0.9.1        2.20091203.6> mib   2012.1 x86_64 
 x11-driver-video-sisusb        0.9.6        69.2          mib   2012.1 x86_64 
 x11-driver-video-tdfx          1.4.5        69.2          mib   2012.1 x86_64 
 x11-driver-video-trident       1.3.6        69.2          mib   2012.1 x86_64 
 x11-driver-video-v4l           0.2.0        69.2          mib   2012.1 x86_64 
 x11-driver-video-vesa          2.3.2        69.2          mib   2012.1 x86_64 
 x11-driver-video-vmware        13.0.0       69.2          mib   2012.1 x86_64 
 x11-server-common              1.14.0       69.1          mib   2012.1 x86_64 
 x11-server-xorg                1.14.0       69.1          mib   2012.1 x86_64 
243KB of additional disk space will be used.
22MB of packages will be retrieved.
Proceed with the installation of the 35 packages? (Y/n) y


installing x11-driver-video-tdfx-1.4.5-69.2-mib2012.1.x86_64.rpm x11-driver-video-glint-1.2.8-69.2-mib2012.1.x86_64.rpm x11-driver-video-fbdev-0.4.3-69.2-mib2012.1.x86_64.rpm x11-driver-input-joystick-1.6.2-69.2-mib2012.1.x86_64.rpm x11-driver-video-sisusb-0.9.6-69.2-mib2012.1.x86_64.rpm x11-driver-input-synaptics-1.6.99-0.20130102.69.2-mib2012.1.x86_64.rpm lib64glamor0-0.5-0.git20130313.69.1-mib2012.1.x86_64.rpm x11-driver-video-neomagic-1.2.7-69.2-mib2012.1.x86_64.rpm x11-driver-video-nouveau-1.0.7-0.20130311.69.1-mib2012.1.x86_64.rpm x11-driver-input-wacom-0.20.0-69.1-mib2012.1.x86_64.rpm x11-driver-video-mga-1.6.2-69.2-mib2012.1.x86_64.rpm x11-driver-input-hyperpen-1.4.1-69.2-mib2012.1.x86_64.rpm x11-driver-video-mach64-6.9.4-69.2-mib2012.1.x86_64.rpm x11-driver-input-mouse-1.8.1-69.2-mib2012.1.x86_64.rpm x11-driver-video-openchrome-0.3.2-0.20130304.69.1-mib2012.1.x86_64.rpm x11-driver-video-s3-0.6.5-69.2-mib2012.1.x86_64.rpm x11-driver-video-intel-2.21.4-69.1-mib2012.1.x86_64.rpm x11-driver-input-vmmouse-13.0.0-69.2-mib2012.1.x86_64.rpm x11-server-common-1.14.0-69.1-mib2012.1.x86_64.rpm x11-driver-input-void-1.4.0-69.2-mib2012.1.x86_64.rpm x11-driver-input-keyboard-1.6.2-69.2-mib2012.1.x86_64.rpm x11-driver-video-cirrus-1.5.2-69.2-mib2012.1.x86_64.rpm x11-server-xorg-1.14.0-69.1-mib2012.1.x86_64.rpm x11-driver-input-evdev-2.7.3-69.2-mib2012.1.x86_64.rpm x11-driver-video-nv-2.1.20-69.2-mib2012.1.x86_64.rpm x11-driver-video-s3virge-1.10.6-69.2-mib2012.1.x86_64.rpm x11-driver-video-vmware-13.0.0-69.2-mib2012.1.x86_64.rpm x11-driver-video-savage-2.3.6-69.2-mib2012.1.x86_64.rpm x11-driver-video-vesa-2.3.2-69.2-mib2012.1.x86_64.rpm dkms-nvidia-current-313.26-69.1-mib2012.1.x86_64.rpm x11-driver-video-sisimedia-0.9.1-2.20091203.69.1-mib2012.1.x86_64.rpm x11-driver-video-v4l-0.2.0-69.2-mib2012.1.x86_64.rpm x11-driver-video-r128-6.9.1-69.2-mib2012.1.x86_64.rpm x11-driver-video-modesetting-0.6.0-69.2-mib2012.1.x86_64.rpm x11-driver-video-trident-1.3.6-69.2-mib2012.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #############################################
     1/35: x11-server-common     #############################################
     2/35: dkms-nvidia-current   #############################################

Creating symlink /var/lib/dkms/nvidia-current/313.26-69.1/source ->
                 /usr/src/nvidia-current-313.26-69.1

DKMS: add Completed.

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.8.4-nrjQL-desktop-69rosa module SYSSRC=/lib/modules/3.8.4-nrjQL-desktop-69rosa/build.........
cleaning build area....

DKMS: build Completed.

nvidia-current.ko:
 - Installation
   - Installing to /lib/modules/3.8.4-nrjQL-desktop-69rosa/kernel/char/drm/

depmod.............

DKMS: install Completed.
     3/35: x11-driver-video-tdfx #############################################
     4/35: x11-driver-video-fbdev
                                 #############################################
     5/35: x11-driver-video-glint
                                 #############################################
     6/35: x11-driver-input-joystick
                                 #############################################
     7/35: x11-driver-video-sisusb
                                 #############################################
     8/35: x11-driver-input-synaptics
                                 #############################################
     9/35: lib64glamor0          #############################################
    10/35: x11-driver-video-neomagic
                                 #############################################
    11/35: x11-driver-video-nouveau
                                 #############################################
    12/35: x11-driver-input-wacom
                                 #############################################
    13/35: x11-driver-video-mga  #############################################
    14/35: x11-driver-input-hyperpen
                                 #############################################
    15/35: x11-driver-video-mach64
                                 #############################################
    16/35: x11-driver-input-mouse
                                 #############################################
    17/35: x11-driver-video-openchrome
                                 #############################################
    18/35: x11-driver-video-s3   #############################################
    19/35: x11-driver-input-vmmouse
                                 #############################################
    20/35: x11-driver-input-void #############################################
    21/35: x11-driver-input-keyboard
                                 #############################################
    22/35: x11-driver-video-cirrus
                                 #############################################
    23/35: x11-server-xorg       #############################################
    24/35: x11-driver-input-evdev
                                 #############################################
    25/35: x11-driver-video-nv   #############################################
    26/35: x11-driver-video-s3virge
                                 #############################################
    27/35: x11-driver-video-vmware
                                 #############################################
    28/35: x11-driver-video-savage
                                 #############################################
    29/35: x11-driver-video-vesa #############################################
    30/35: x11-driver-video-sisimedia
                                 #############################################
    31/35: x11-driver-video-v4l  #############################################
    32/35: x11-driver-video-r128 #############################################
    33/35: x11-driver-video-modesetting
                                 #############################################
    34/35: x11-driver-video-trident
                                 #############################################

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 313.26-2
Kernel:  3.8.4-nrjQL-desktop-69rosa (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod............

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 313.26-2
Kernel:  3.8.3-nrjQL-desktop-69rosa (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.8.3-nrjQL-desktop-69rosa/kernel/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
depmod............

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 313.26-2
Kernel:  3.7.10-nrjQL-desktop-69rosa (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.7.10-nrjQL-desktop-69rosa/kernel/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod............

DKMS: uninstall Completed.

------------------------------
Deleting module version: 313.26-2
completely from the DKMS tree.
------------------------------
Done.
    35/35: x11-driver-video-intel
                                 #############################################
[root@Desktop-1 andrea]# uname -a
Linux Desktop-1 3.8.4-nrjQL-desktop-69rosa #1 SMP PREEMPT Mon Mar 25 01:57:09 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@Desktop-1 andrea]# 
AndreaS

Procio Intel i7-4930k, mobo Asus X79-Deluxe, Adaptec raid 7805, Nvidia Quadro 6000 - Rosa Fresh R3 X64

User avatar
andreas
Utente
Utente
Posts: 281
Joined: 1 November 2008, 20:03

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by andreas »

Ok, tutto bene dopo il reboot. Adesso il resizing delle finestre è molto più fluido.
Una precisazione: il driver precedente era attivo nel kernel corrente perchè Nvidia Settings partiva regolarmente e mostrava la versione corretta del driver.
Una domanda: ha senso attivare il supporto open cl: In precedenza avevo provato, ma ottenevo delgli errori. Forse caricavo il file sbagliato.
AndreaS

Procio Intel i7-4930k, mobo Asus X79-Deluxe, Adaptec raid 7805, Nvidia Quadro 6000 - Rosa Fresh R3 X64

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by GvMariani »

andreas wrote:Ok, tutto bene dopo il reboot. Adesso il resizing delle finestre è molto più fluido.
Una precisazione: il driver precedente era attivo nel kernel corrente perchè Nvidia Settings partiva regolarmente e mostrava la versione corretta del driver.
Bene...
Comunque guarda lo stesso in dmesg, /var/log/messages e /var/log/Xorg.0.log, per vedere se ci sono segnalazioni di eventuali errori:
non dovrebbero (altrimenti non credo ti accorgeresti ad occhio di una positiva differenza rispetto a prima, semmai il contrario), ma non si sa mai...

Adesso comincia il vero test: l'uso che ne fai normalmente...
Se dopo qualche giorno tutto non solo funziona, ma (come scrivi) ad occhio vedi la differenza, direi che il test è riuscito più che perfettamente.

Ci manderesti l'output di "inxi -F" per l'archivio, così teniamo il conto di quali combinazioni di Hw e Sw sono state provate?
Thanks...

Una domanda: ha senso attivare il supporto open cl: In precedenza avevo provato, ma ottenevo delgli errori. Forse caricavo il file sbagliato.
Come seconda fase di testing, cioè dopo esserti accertato che "le cose normali" vanno, io ci proverei:
potremmo scoprire che, come per il glx-tls, nel frattempo il problema è stato risolto...

GvM

User avatar
andreas
Utente
Utente
Posts: 281
Joined: 1 November 2008, 20:03

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by andreas »

Detto e fatto!

Code: Select all

[root@Desktop-1 andrea]# inxi -F
System:    Host: Desktop-1 Kernel: 3.8.4-nrjQL-desktop-69rosa x86_64 (64 bit) 
           Desktop KDE 4.9.5 Distro: RosaDesktop.Fresh 2012.1 belka
Machine:   Mobo: Intel model: DP67BG version: AAG10491-303 serial: BQBG109001H1
           Bios: Intel version: BGP6710J.86A.2209.2012.0717.2302 date: 07/17/2012
CPU:       Quad core Intel Core i7-2600K CPU (-HT-MCP-) cache: 8192 KB flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) 
           Clock Speeds: 1: 1600.00 MHz 2: 1600.00 MHz 3: 1600.00 MHz 4: 1600.00 MHz 5: 1600.00 MHz 6: 1600.00 MHz 7: 1600.00 MHz 8: 1600.00 MHz
Graphics:  Card: NVIDIA GF100GL [Quadro 6000] X.org: 1.14.0 drivers: nvidia,v4l tty size: 80x39 Advanced Data: N/A for root 
Audio:     Card-1: NVIDIA GF100 High Definition Audio Controller driver: snd_hda_intel
           Card-2: Logitech HD Pro Webcam C920 driver: USB Audio
           Sound: Advanced Linux Sound Architecture ver: k3.8.4-nrjQL-desktop-69rosa
Network:   Card: Intel 82579V Gigabit Network Connection driver: e1000e 
           IF: eth0 state: up speed: 1000 Mbps duplex: full mac: 00:22:4d:4f:91:00
Drives:    HDD Total Size: 6247.5GB (25.5% used) 1: /dev/sda Samsung_SSD_840 256.1GB 
           2: /dev/sdb Device_0 2748.8GB 3: /dev/sdc Device_1 2528.9GB 
           4: /dev/sdd Device_2 713.8GB 
Partition: ID: / size: 18G used: 6.4G (38%) fs: rootfs ID: / size: 18G used: 6.4G (38%) fs: ext4 
           ID: /home size: 650G used: 1.6G (1%) fs: ext4 ID: swap-1 size: 5.07GB used: 0.00GB (0%) fs: swap 
Sensors:   System Temperatures: cpu: 38.0C mobo: N/A gpu: 65C 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 237 Uptime: 1:44 Memory: 1314.5/16034.2MB Client: Shell inxi: 1.7.24 
Grazie di nuovo
AndreaS

Procio Intel i7-4930k, mobo Asus X79-Deluxe, Adaptec raid 7805, Nvidia Quadro 6000 - Rosa Fresh R3 X64

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by NicCo »

Su ROSA Fresh 64bit, può essere proposta una cancellazione di alcuni file dalla parte 32bit:
alla vista di ciò ho preferito subito interrompere con un bel CTRL + C sulla Konsole, perchè
questo avrebbe potuto portare al malfunzionamento di alcuni programmi 32bit installati, e:
così per evitare ciò ho ritenuto fosse encessario aggiungere anche il relativo repo X14-32bit

qui, il problema che ho notato durante il tentativo di installazione sul laptop di mio figlio

Code: Select all

[root@localhost ~]# urpmi --auto-select --auto
Alcuni dei pacchetti richiesti non possono essere installati:
libffmpeg54-1.0.1-2plf-plf2012.1.i586 (per conservare libffmpeg54-1.0.4-1plf-plf2012.1.i586)
libffmpeg54-1.0.4-1-rosa2012.1.i586 (per conservare libffmpeg54-1.0.4-1plf-plf2012.1.i586)
libgl1-9.0.1-1-rosa2012.1.i586 (per conservare libgl1-9.0.1-2-rosa2012.1.i586)
Questi pacchetti devono essere rimossi per poterne aggiornare altri:
libdri-drivers-9.0.1-2-rosa2012.1.i586
 (perché non è soddisfatto mesa == 9.0.1)
libffmpeg54-1.0.4-1plf-plf2012.1.i586
 (perché manca libva.so.1)
libgl1-9.0.1-2-rosa2012.1.i586
 (perché non è soddisfatto libdri-drivers >= 9.0.1-2)
libglu1-9.0.0-2-rosa2012.1.i586
 (perché manca libGL.so.1)
libqt3-3.3.8b-34-rosa2012.1.i586
 (perché manca libGL.so.1)
libqtopengl4-4.8.4-1-rosa2012.1.i586
 (perché manca libGL.so.1)
libva1-1.1.0-1-rosa2012.1.i586
 (perché manca libGL.so.1)
lsb-lib-4.1-10-rosa2012.1.i586
 (perché manca libqt3,
  perché non è soddisfatto libqtopengl4 >= 4.2.3,
  perché manca libglu1)
..........................................................................
..........................................................................
in pratica ho aggiunto, dopo l'update non mi propone alcuna disinstallazione di pacchetti 32bit

Code: Select all

urpmi.addmedia MIB-X14_32bit http://mib.pianetalinux.org/MIB/rosa2012.1/32/testing/mesa-xorg/
con attivo il repo X14 32bit, anche per la parte 32, nessun file estraneo a X14 viene rimosso

Code: Select all

[root@localhost ~]# urpmi --auto-select 
Per soddisfare le dipendenze, saranno installati i seguenti pacchetti:
 Pacchetto                      Versione     Release       Dist  DEpoch Arch. 
(supporto "Main_64_updates")
 chromium-browser               25.0.1364.1> 3             rosa  2012.1 x86_64 
 chromium-browser-stable        25.0.1364.1> 3             rosa  2012.1 x86_64 
(supporto "MIB-X14")
 dkms-nvidia-long-lived         304.84       69.1          mib   2012.1 x86_64 
 editres                        1.0.6        69.1          mib   2012.1 x86_64 
 ico                            1.0.4        69.1          mib   2012.1 x86_64 
 lbxproxy                       1.0.3        69.1          mib   2012.1 x86_64 
 lib64dri-drivers               9.1.1        69.1          mib   2012.1 x86_64 
 lib64dricore1                  9.1.1        69.1          mib   2012.1 x86_64 
 lib64drm2                      2.4.42       69.1          mib   2012.1 x86_64 
 lib64drm_intel1                2.4.42       69.1          mib   2012.1 x86_64 
 lib64drm_nouveau2              2.4.42       69.1          mib   2012.1 x86_64 
 lib64drm_radeon1               2.4.42       69.1          mib   2012.1 x86_64 
 lib64egl1                      9.1.1        69.1          mib   2012.1 x86_64 
 lib64gbm1                      9.1.1        69.1          mib   2012.1 x86_64 
 lib64gl1                       9.1.1        69.1          mib   2012.1 x86_64 
 lib64glamor0                   0.5          0.git2013031> mib   2012.1 x86_64 
 lib64glapi0                    9.1.1        69.1          mib   2012.1 x86_64 
 lib64glesv1_1                  9.1.1        69.1          mib   2012.1 x86_64 
 lib64glesv2_2                  9.1.1        69.1          mib   2012.1 x86_64 
 lib64kms1                      2.4.42       69.1          mib   2012.1 x86_64 
 lib64llvm3.2                   3.2          0.20130301.6> mib   2012.1 x86_64 
 lib64llvmradeon9.1.1           9.1.1        69.1          mib   2012.1 x86_64 
 lib64openvg1                   9.1.1        69.1          mib   2012.1 x86_64 
 lib64osmesa8                   9.1.1        69.1          mib   2012.1 x86_64 
 lib64pixman1_0                 0.29.2       69.1          mib   2012.1 x86_64 
 lib64va1                       1.1.1        69.1          mib   2012.1 x86_64 
 lib64vdpau1                    0.6          69.1          mib   2012.1 x86_64 
 lib64wayland-client0           1.0.5        69.1          mib   2012.1 x86_64 
 lib64wayland-server0           1.0.5        69.1          mib   2012.1 x86_64 
 lib64xatracker1                9.1.1        69.1          mib   2012.1 x86_64 
 lib64xcb-composite0            1.9          69.1          mib   2012.1 x86_64 
 lib64xcb-randr0                1.9          69.1          mib   2012.1 x86_64 
 lib64xcb-util-keysyms1         0.3.9        69.1          mib   2012.1 x86_64 
 lib64xcb-xv0                   1.9          69.1          mib   2012.1 x86_64 
 lib64xi6                       1.7          69.1          mib   2012.1 x86_64 
 libdrm-common                  2.4.42       69.1          mib   2012.1 x86_64 
 mesa                           9.1.1        69.1          mib   2012.1 x86_64 
 nvidia-long-lived-doc-html     304.84       69.1          mib   2012.1 x86_64 
 proxymngr                      1.0.3        69.1          mib   2012.1 x86_64 
 rgb                            1.0.5        69.1          mib   2012.1 x86_64 
 rstart                         1.0.5        69.1          mib   2012.1 x86_64 
 sessreg                        1.0.8        69.1          mib   2012.1 x86_64 
 viewres                        1.0.4        69.1          mib   2012.1 x86_64 
 x11-data-cursor-themes         1.0.3        69.1          mib   2012.1 noarch 
 x11-data-xkbdata               2.8          69.1          mib   2012.1 noarch 
 x11-docs                       1.7          69.1          mib   2012.1 noarch 
 x11-driver-input-evdev         2.7.3        69.2          mib   2012.1 x86_64 
 x11-driver-input-hyperpen      1.4.1        69.2          mib   2012.1 x86_64 
 x11-driver-input-joystick      1.6.2        69.2          mib   2012.1 x86_64 
 x11-driver-input-keyboard      1.6.2        69.2          mib   2012.1 x86_64 
 x11-driver-input-mouse         1.8.1        69.2          mib   2012.1 x86_64 
 x11-driver-input-synaptics     1.6.99       0.20130102.6> mib   2012.1 x86_64 
 x11-driver-input-vmmouse       13.0.0       69.2          mib   2012.1 x86_64 
 x11-driver-input-void          1.4.0        69.2          mib   2012.1 x86_64 
 x11-driver-input-wacom         0.20.0       69.1          mib   2012.1 x86_64 
 x11-driver-video-cirrus        1.5.2        69.2          mib   2012.1 x86_64 
 x11-driver-video-fbdev         0.4.3        69.2          mib   2012.1 x86_64 
 x11-driver-video-glint         1.2.8        69.2          mib   2012.1 x86_64 
 x11-driver-video-intel         2.21.4       69.1          mib   2012.1 x86_64 
 x11-driver-video-mach64        6.9.4        69.2          mib   2012.1 x86_64 
 x11-driver-video-mga           1.6.2        69.2          mib   2012.1 x86_64 
 x11-driver-video-modesetting   0.6.0        69.2          mib   2012.1 x86_64 
 x11-driver-video-neomagic      1.2.7        69.2          mib   2012.1 x86_64 
 x11-driver-video-nouveau       1.0.7        0.20130311.6> mib   2012.1 x86_64 
 x11-driver-video-nv            2.1.20       69.2          mib   2012.1 x86_64 
 x11-driver-video-nvidia-long-> 304.84       69.1          mib   2012.1 x86_64 
 x11-driver-video-openchrome    0.3.2        0.20130304.6> mib   2012.1 x86_64 
 x11-driver-video-qxl           0.2.0        0.20130306.6> mib   2012.1 x86_64 
 x11-driver-video-r128          6.9.1        69.2          mib   2012.1 x86_64 
 x11-driver-video-s3            0.6.5        69.2          mib   2012.1 x86_64 
 x11-driver-video-s3virge       1.10.6       69.2          mib   2012.1 x86_64 
 x11-driver-video-savage        2.3.6        69.2          mib   2012.1 x86_64 
 x11-driver-video-sisimedia     0.9.1        2.20091203.6> mib   2012.1 x86_64 
 x11-driver-video-sisusb        0.9.6        69.2          mib   2012.1 x86_64 
 x11-driver-video-tdfx          1.4.5        69.2          mib   2012.1 x86_64 
 x11-driver-video-trident       1.3.6        69.2          mib   2012.1 x86_64 
 x11-driver-video-v4l           0.2.0        69.2          mib   2012.1 x86_64 
 x11-driver-video-vesa          2.3.2        69.2          mib   2012.1 x86_64 
 x11-driver-video-vmware        13.0.0       69.2          mib   2012.1 x86_64 
 x11-server-common              1.14.0       69.1          mib   2012.1 x86_64 
 x11-server-xorg                1.14.0       69.1          mib   2012.1 x86_64 
 xcalc                          1.0.5        69.1          mib   2012.1 x86_64 
 xconsole                       1.0.5        69.1          mib   2012.1 x86_64 
 xedit                          1.2.1        69.1          mib   2012.1 x86_64 
 xev                            1.2.1        69.1          mib   2012.1 x86_64 
 xfsinfo                        1.0.4        69.1          mib   2012.1 x86_64 
 xgc                            1.0.4        69.1          mib   2012.1 x86_64 
 xmag                           1.0.5        69.1          mib   2012.1 x86_64 
 xmessage                       1.0.4        69.1          mib   2012.1 x86_64 
 xrandr                         1.4.0        69.1          mib   2012.1 x86_64 
 xsetroot                       1.1.1        69.1          mib   2012.1 x86_64 
 xstdcmap                       1.0.3        69.1          mib   2012.1 x86_64 
 xvidtune                       1.0.3        69.1          mib   2012.1 x86_64 
 xvinfo                         1.1.2        69.1          mib   2012.1 x86_64 
(supporto "MIB-X14_32bit")
 libdri-drivers                 9.1.1        69.1          mib   2012.1 i586 
 libdricore1                    9.1.1        69.1          mib   2012.1 i586 
 libdrm2                        2.4.42       69.1          mib   2012.1 i586 
 libdrm_intel1                  2.4.42       69.1          mib   2012.1 i586 
 libdrm_nouveau2                2.4.42       69.1          mib   2012.1 i586 
 libdrm_radeon1                 2.4.42       69.1          mib   2012.1 i586 
 libgl1                         9.1.1        69.1          mib   2012.1 i586 
 libglapi0                      9.1.1        69.1          mib   2012.1 i586 
 libglu1                        9.0.0        69.2          mib   2012.1 i586 
 libice6                        1.0.8        69.1          mib   2012.1 i586 
 libllvm3.2                     3.2          0.20130301.6> mib   2012.1 i586 
 libllvmradeon9.1.1             9.1.1        69.1          mib   2012.1 i586 
 libpciaccess0                  0.13.1       69.1          mib   2012.1 i586 
 libpixman1_0                   0.29.2       69.1          mib   2012.1 i586 
 libsm6                         1.2.1        69.1          mib   2012.1 i586 
 libva1                         1.1.1        69.1          mib   2012.1 i586 
 libwayland-client0             1.0.5        69.1          mib   2012.1 i586 
 libx11_6                       1.5.0        69.1          mib   2012.1 i586 
 libxau6                        1.0.7        69.1          mib   2012.1 i586 
 libxcb-dri2_0                  1.9          69.1          mib   2012.1 i586 
 libxcb-glx0                    1.9          69.1          mib   2012.1 i586 
 libxcb-render0                 1.9          69.1          mib   2012.1 i586 
 libxcb-shm0                    1.9          69.1          mib   2012.1 i586 
 libxcb1                        1.9          69.1          mib   2012.1 i586 
 libxcomposite1                 0.4.4        69.1          mib   2012.1 i586 
 libxcursor1                    1.1.13       69.1          mib   2012.1 i586 
 libxdamage1                    1.1.4        69.1          mib   2012.1 i586 
 libxdmcp6                      1.1.1        69.1          mib   2012.1 i586 
 libxext6                       1.3.1        69.1          mib   2012.1 i586 
 libxfixes3                     5.0          69.1          mib   2012.1 i586 
 libxft2                        2.3.1        69.1          mib   2012.1 i586 
 libxi6                         1.7          69.1          mib   2012.1 i586 
 libxinerama1                   1.1.2        69.1          mib   2012.1 i586 
 libxmu6                        1.1.1        69.1          mib   2012.1 i586 
 libxrandr2                     1.4.0        69.1          mib   2012.1 i586 
 libxrender1                    0.9.7        69.1          mib   2012.1 i586 
 libxscrnsaver1                 1.2.2        69.1          mib   2012.1 i586 
 libxt6                         1.1.3        69.1          mib   2012.1 i586 
 libxtst6                       1.2.1        69.1          mib   2012.1 i586 
 libxv1                         1.0.7        69.           mib   2012.1 i586 
 libxvmc1                       1.0.7        69.1          mib   2012.1 i586 
 libxxf86vm1                    1.1.2        69.1          mib   2012.1 i586 
Altri 111MB di spazio disco saranno utilizzati.
verranno scaricati 382MB di pacchetti.
Procedo con l'installazione di 136 pacchetti? (S/n) s

Ed ecco cosa ho eseguito, complessivamente

Code: Select all

rpm -e --nodeps x11-driver-video-sis
rpm -e --nodeps x11-driver-video-ati
urpmi.addmedia MIB-X14 http://mib.pianetalinux.org/MIB/rosa2012.1/64/testing/mesa-xorg/
urpmi.addmedia MIB-X14_32bit http://mib.pianetalinux.org/MIB/rosa2012.1/32/testing/mesa-xorg/
urpmi --auto-select
Adesso sto aggiornando, tra un pò riavvierò, e speriamo bene, sennò faccio arrabbiare il figlio...
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by NicCo »

Testato su laptop Asus con Nvidia Go7300, quindi driver longl-ived 304.84

Code: Select all

[root@localhost ~]# uname -a
Linux localhost.localdomain 3.8.4-nrjQL-desktop-69rosa #1 SMP PREEMPT Mon Mar 25 01:57:09 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost ~]# inxi -F
System:    Host: localhost.localdomain Kernel: 3.8.4-nrjQL-desktop-69rosa x86_64 (64 bit) 
           Desktop N/A Distro: RosaDesktop.Fresh 2012.1 belka
Machine:   System: ASUSTeK product: F3T version: 1.0 serial: NB-1234567890 
           Mobo: ASUSTeK model: F3T version: 1.00 serial: NB-0123456789
           Bios: American Megatrends version: F3TcAS.212 date: 01/10/2007
CPU:       Dual core AMD Turion 64 X2 Mobile TL-50 (-MCP-) cache: 512 KB flags: (lm nx sse sse2 sse3 svm) 
           Clock Speeds: 1: 800.00 MHz 2: 800.00 MHz
Graphics:  Card: NVIDIA G72M [Quadro NVS 110M/GeForce Go 7300] 
           X.org: 1.14.0 drivers: nvidia,v4l tty size: 158x43 Advanced Data: N/A for root 
Audio:     Card: NVIDIA MCP51 High Definition Audio driver: snd_hda_intel Sound: ALSA ver: k3.8.4-nrjQL-desktop-69rosa
Network:   Card-1: NVIDIA MCP51 Ethernet Controller driver: forcedeth 
           IF: eth0 state: up speed: 100 Mbps duplex: full mac: 00:18:f3:33:43:20
           Card-2: Atheros AR242x / AR542x Wireless Network Adapter (PCI-Express) driver: ath5k 
           IF: wlan0 state: down mac: 00:15:af:12:1e:0a
Drives:    HDD Total Size: 500.1GB (19.7% used) 1: /dev/sda SAMSUNG_HM500LI 500.1GB 
Partition: ID: / size: 59G used: 8.0G (15%) fs: rootfs ID: / size: 59G used: 8.0G (15%) fs: ext4 
           ID: /home size: 247G used: 84G (34%) fs: ext4 ID: swap-1 size: 5.37GB used: 0.00GB (0%) fs: swap 
Sensors:   System Temperatures: cpu: 60.0C mobo: N/A gpu: 52C 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 190 Uptime: 4 min Memory: 745.2/2980.4MB Client: Shell inxi: 1.7.24 
[root@localhost ~]# 
Al riavvio ci sta più tempo del solito, ma finalmente vedo il grande logo di NVidia:
su KDE noto la barra di ROSA di un colore grigio scuro, invece di un trasparente:
avvio Nvidia Control Center, e mi conferma che sto usando 304.84

ma se provo ad avviare qualcosa di 3D, non si avvia, per esempio il gioco foobillard

Code: Select all

bash-4.2$ foobillard

alla fine non parte ed in basso sulla konsole posso leggere, il motivo

libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
freeglut (foobillard):  ERROR:  Internal error <FBConfig with necessary capabilities not found> in function fgOpenWindow
bash-4.2$
anche il Drop Shadow sulle finestre di KDE è andato...
mentre se controllo gli effetti da KDE mi dice che OpenGL è attivo

adesso sto provando a:
rimuovere un pò di kernel: 3.6.10, 3.8.2, 3.8.3,
manterrò solo le versioni: 3.6.11, 3.7.9, 3.8.4
molti kernel presenti mi fanno perdere troppo tempo nel buildare i dkms

poi proverò, da XFdrake in init3
- a disinstallare il driver 304.84
- e a installarlo e configurarlo nuovamente

vediamo cosa succede
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by GvMariani »

Se stai usando la versione di mesa del repo principale (69.1), prima di tutto io proverei l'altra:
se non mi ricordo male, i sintomi sono proprio simili a quelli che vennero segnalati tempo fa per il Cooker, quando ci accorgemmo tutti che i Nvidia non andavano d'accordo con una libGL compilata con l'opzione "--enable-glx-tls"...
Ti ricordi di questo:
https://qa.mandriva.com/show_bug.cgi?id=65357?

GvM

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by NicCo »

Nulla da fare, quello che ho provato è:
sono andato in init3
mi sono loggato come root
urpme -a nvidia-long-lived
ho eseguito XFdrake
ho installato nuovamente i driver 304.84
ho scelto le altre cose e ho salvato, ma
al riavvio nulla da fare, anche peggio di prima
non c'è piu il modo di avviare i driver nvidia

il colpevole sembrerebbe, dall'errore che mi viene segnalato, il numero di versione dell'ABI, ecco cosa leggevo:
Loading extension GLX:
(WW) NVIDIA: This server has an unsupported input driver ABI version (have 19.1, need < 19.0). The driver will continue to load, but may behave strangely.
xinit: unable to connect to X server: Connection refused
Ecco qui, il log completo del mancato avvio con driver Nvidia, adesso ho rimosso /etc/X11/xorg.conf ed è partito in modalità driver nuveau:
su kernel 3.8.4, ha stranamente la risoluzione giusta (1440x900), mentre se provo a partire dal precedente kernel 3.6.10 parte a 1024x786

Code: Select all

[    52.494] 
X.Org X Server 1.14.0
Release Date: 2013-03-05
[    52.495] X Protocol Version 11, Revision 0
[    52.495] Build Operating System: Linux_3.7.10-nrjQL-realtime-69rosa mandriva
[    52.496] Current Operating System: Linux localhost.localdomain 3.6.10-nrj-desktop-1rosa #1 SMP PREEMPT Wed Dec 12 13:59:22 UTC 2012 x86_64
[    52.496] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.6.10-nrj-desktop-1rosa root=UUID=6d25e66e-9663-424b-a161-aae00f9952b9 ro splash=silent logo.nologo quiet resume=/dev/sda1 init=/lib/systemd/systemd
[    52.498] Build Date: 09 March 2013  04:44:55PM
[    52.498]  
[    52.498] Current version of pixman: 0.29.2
[    52.498] 	Before reporting problems, check http://qa.mandriva.com
	to make sure that you have the latest version.
[    52.499] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    52.500] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Mar 25 20:57:58 2013
[    52.560] (==) Using config file: "/etc/X11/xorg.conf"
[    52.560] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    52.600] (==) ServerLayout "layout1"
[    52.600] (**) |-->Screen "screen1" (0)
[    52.600] (**) |   |-->Monitor "monitor1"
[    52.608] (**) |   |-->Device "device1"
[    52.608] (**) Option "DontZap" "False"
[    52.608] (**) Option "AllowMouseOpenFail"
[    52.608] (==) Automatically adding devices
[    52.608] (==) Automatically enabling devices
[    52.608] (==) Automatically adding GPU devices
[    52.616] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d
[    52.616] (==) ModulePath set to "/usr/lib64/xorg/extra-modules,/usr/lib64/xorg/modules"
[    52.616] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    52.616] (II) Loader magic: 0x7fec20
[    52.616] (II) Module ABI versions:
[    52.616] 	X.Org ANSI C Emulation: 0.4
[    52.616] 	X.Org Video Driver: 14.1
[    52.616] 	X.Org XInput driver : 19.1
[    52.616] 	X.Org Server Extension : 7.0
[    52.620] (--) PCI:*(0:4:0:0) 10de:01d7:1043:13a2 rev 161, Mem @ 0xde000000/16777216, 0xc0000000/268435456, 0xdd000000/16777216, BIOS @ 0x????????/131072
[    52.620] (II) Open ACPI successful (/var/run/acpid.socket)
[    52.621] Initializing built-in extension Generic Event Extension
[    52.622] Initializing built-in extension SHAPE
[    52.622] Initializing built-in extension MIT-SHM
[    52.622] Initializing built-in extension XInputExtension
[    52.623] Initializing built-in extension XTEST
[    52.623] Initializing built-in extension BIG-REQUESTS
[    52.623] Initializing built-in extension SYNC
[    52.624] Initializing built-in extension XKEYBOARD
[    52.624] Initializing built-in extension XC-MISC
[    52.624] Initializing built-in extension SECURITY
[    52.624] Initializing built-in extension XINERAMA
[    52.625] Initializing built-in extension XFIXES
[    52.625] Initializing built-in extension XFree86-Bigfont
[    52.625] Initializing built-in extension RENDER
[    52.625] Initializing built-in extension RANDR
[    52.626] Initializing built-in extension COMPOSITE
[    52.626] Initializing built-in extension DAMAGE
[    52.626] Initializing built-in extension MIT-SCREEN-SAVER
[    52.636] Initializing built-in extension DOUBLE-BUFFER
[    52.645] Initializing built-in extension RECORD
[    52.655] Initializing built-in extension DPMS
[    52.664] Initializing built-in extension X-Resource
[    52.673] Initializing built-in extension XVideo
[    52.682] Initializing built-in extension XVideo-MotionCompensation
[    52.691] Initializing built-in extension XFree86-VidModeExtension
[    52.699] Initializing built-in extension XFree86-DGA
[    52.708] Initializing built-in extension XFree86-DRI
[    52.718] Initializing built-in extension DRI2
[    52.718] (II) "glx" will be loaded by default.
[    52.718] (II) LoadModule: "v4l"
[    52.761] (II) Loading /usr/lib64/xorg/modules/drivers/v4l_drv.so
[    52.773] (II) Module v4l: vendor="X.Org Foundation"
[    52.773] 	compiled for 1.14.0, module version = 0.1.1
[    52.773] 	ABI class: X.Org Video Driver, version 14.1
[    52.773] (II) LoadModule: "glx"
[    52.773] (II) Loading /usr/lib64/xorg/extra-modules/libglx.so
[    54.151] (II) Module glx: vendor="NVIDIA Corporation"
[    54.151] 	compiled for 4.0.2, module version = 1.0.0
[    54.151] 	Module class: X.Org Server Extension
[    54.151] (II) NVIDIA GLX Module  304.84  Wed Feb 27 05:18:58 PST 2013
[    54.158] Loading extension GLX
[    54.159] (II) LoadModule: "nvidia"
[    54.159] (II) Loading /usr/lib64/xorg/extra-modules/nvidia_drv.so
[    54.276] (II) Module nvidia: vendor="NVIDIA Corporation"
[    54.276] 	compiled for 4.0.2, module version = 1.0.0
[    54.276] 	Module class: X.Org Video Driver
[    54.294] (WW) NVIDIA: This server has an unsupported input driver ABI version (have 19.1, need < 19.0).  The driver will continue to load, but may behave strangely.
[    54.687] (II) v4l driver for Video4Linux
[    54.688] (II) NVIDIA dlloader X Driver  304.84  Wed Feb 27 05:00:19 PST 2013
[    54.688] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    54.708] (++) using VT number 1

[    54.708] (WW) Falling back to old probe method for v4l
[    54.716] (II) Loading sub module "fb"
[    54.716] (II) LoadModule: "fb"
[    54.716] (II) Loading /usr/lib64/xorg/modules/libfb.so
[    54.731] (II) Module fb: vendor="X.Org Foundation"
[    54.731] 	compiled for 1.14.0, module version = 1.0.0
[    54.731] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    54.731] (II) Loading sub module "wfb"
[    54.731] (II) LoadModule: "wfb"
[    54.731] (II) Loading /usr/lib64/xorg/modules/libwfb.so
[    54.747] (II) Module wfb: vendor="X.Org Foundation"
[    54.747] 	compiled for 1.14.0, module version = 1.0.0
[    54.747] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    54.747] (II) Loading sub module "ramdac"
[    54.747] (II) LoadModule: "ramdac"
[    54.747] (II) Module "ramdac" already built-in
[    54.796] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[    54.796] (==) NVIDIA(0): RGB weight 888
[    54.796] (==) NVIDIA(0): Default visual is TrueColor
[    54.796] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    54.796] (**) NVIDIA(0): Option "AddARGBGLXVisuals"
[    54.796] (**) NVIDIA(0): Option "DynamicTwinView" "false"
[    54.796] (**) NVIDIA(0): Enabling 2D acceleration
[    54.815] (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module. Please see the
[    54.815] (EE) NVIDIA(0):     system's kernel log for additional error messages and
[    54.815] (EE) NVIDIA(0):     consult the NVIDIA README for details.
[    54.815] (EE) NVIDIA(0):  *** Aborting ***
[    54.815] (EE) NVIDIA(0): Failing initialization of X screen 0
[    54.815] (II) UnloadModule: "nvidia"
[    54.815] (II) UnloadSubModule: "wfb"
[    54.815] (II) UnloadSubModule: "fb"
[    54.815] (EE) Screen(s) found, but none have a usable configuration.
[    54.816] 
Fatal server error:
[    54.816] no screens found
[    54.816] (EE) 
Please consult the The X.Org Foundation support 
	 at http://qa.mandriva.com
 for help. 
[    54.816] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    54.816] (EE) 
[    54.867] Server terminated with error (1). Closing log file.

Occore sapere da Andreas, se lui realmente ha il driver nvidia current con il GLX attivo davvero...
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: TESTING!!! > Mesa 9.1.x and Xorg 1.14.x port for Rosa Fr

Post by GvMariani »

NicCo wrote:Nulla da fare, quello che ho provato è:
sono andato in init3
mi sono loggato come root
urpme -a nvidia-long-lived
ho eseguito XFdrake
ho installato nuovamente i driver 304.84
ho scelto le altre cose e ho salvato, ma
al riavvio nulla da fare, anche peggio di prima
non c'è piu il modo di avviare i driver nvidia

il colpevole sembrerebbe, dall'errore che mi viene segnalato, il numero di versione dell'ABI, ecco cosa leggevo:
Loading extension GLX:
(WW) NVIDIA: This server has an unsupported input driver ABI version (have 19.1, need < 19.0). The driver will continue to load, but may behave strangely.
xinit: unable to connect to X server: Connection refused
Ecco qui, il log completo del mancato avvio con driver Nvidia, adesso ho rimosso /etc/X11/xorg.conf ed è partito in modalità driver nuveau:
su kernel 3.8.4, ha stranamente la risoluzione giusta (1440x900), mentre se provo a partire dal precedente kernel 3.6.10 parte a 1024x786

Code: Select all

[    52.494] 
X.Org X Server 1.14.0
Release Date: 2013-03-05
[    52.495] X Protocol Version 11, Revision 0
[    52.495] Build Operating System: Linux_3.7.10-nrjQL-realtime-69rosa mandriva
[    52.496] Current Operating System: Linux localhost.localdomain 3.6.10-nrj-desktop-1rosa #1 SMP PREEMPT Wed Dec 12 13:59:22 UTC 2012 x86_64
[    52.496] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.6.10-nrj-desktop-1rosa root=UUID=6d25e66e-9663-424b-a161-aae00f9952b9 ro splash=silent logo.nologo quiet resume=/dev/sda1 init=/lib/systemd/systemd
[    52.498] Build Date: 09 March 2013  04:44:55PM
[    52.498]  
[    52.498] Current version of pixman: 0.29.2
[    52.498] 	Before reporting problems, check http://qa.mandriva.com
	to make sure that you have the latest version.
[    52.499] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    52.500] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Mar 25 20:57:58 2013
[    52.560] (==) Using config file: "/etc/X11/xorg.conf"
[    52.560] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    52.600] (==) ServerLayout "layout1"
[    52.600] (**) |-->Screen "screen1" (0)
[    52.600] (**) |   |-->Monitor "monitor1"
[    52.608] (**) |   |-->Device "device1"
[    52.608] (**) Option "DontZap" "False"
[    52.608] (**) Option "AllowMouseOpenFail"
[    52.608] (==) Automatically adding devices
[    52.608] (==) Automatically enabling devices
[    52.608] (==) Automatically adding GPU devices
[    52.616] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d
[    52.616] (==) ModulePath set to "/usr/lib64/xorg/extra-modules,/usr/lib64/xorg/modules"
[    52.616] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    52.616] (II) Loader magic: 0x7fec20
[    52.616] (II) Module ABI versions:
[    52.616] 	X.Org ANSI C Emulation: 0.4
[    52.616] 	X.Org Video Driver: 14.1
[    52.616] 	X.Org XInput driver : 19.1
[    52.616] 	X.Org Server Extension : 7.0
[    52.620] (--) PCI:*(0:4:0:0) 10de:01d7:1043:13a2 rev 161, Mem @ 0xde000000/16777216, 0xc0000000/268435456, 0xdd000000/16777216, BIOS @ 0x????????/131072
[    52.620] (II) Open ACPI successful (/var/run/acpid.socket)
[    52.621] Initializing built-in extension Generic Event Extension
[    52.622] Initializing built-in extension SHAPE
[    52.622] Initializing built-in extension MIT-SHM
[    52.622] Initializing built-in extension XInputExtension
[    52.623] Initializing built-in extension XTEST
[    52.623] Initializing built-in extension BIG-REQUESTS
[    52.623] Initializing built-in extension SYNC
[    52.624] Initializing built-in extension XKEYBOARD
[    52.624] Initializing built-in extension XC-MISC
[    52.624] Initializing built-in extension SECURITY
[    52.624] Initializing built-in extension XINERAMA
[    52.625] Initializing built-in extension XFIXES
[    52.625] Initializing built-in extension XFree86-Bigfont
[    52.625] Initializing built-in extension RENDER
[    52.625] Initializing built-in extension RANDR
[    52.626] Initializing built-in extension COMPOSITE
[    52.626] Initializing built-in extension DAMAGE
[    52.626] Initializing built-in extension MIT-SCREEN-SAVER
[    52.636] Initializing built-in extension DOUBLE-BUFFER
[    52.645] Initializing built-in extension RECORD
[    52.655] Initializing built-in extension DPMS
[    52.664] Initializing built-in extension X-Resource
[    52.673] Initializing built-in extension XVideo
[    52.682] Initializing built-in extension XVideo-MotionCompensation
[    52.691] Initializing built-in extension XFree86-VidModeExtension
[    52.699] Initializing built-in extension XFree86-DGA
[    52.708] Initializing built-in extension XFree86-DRI
[    52.718] Initializing built-in extension DRI2
[    52.718] (II) "glx" will be loaded by default.
[    52.718] (II) LoadModule: "v4l"
[    52.761] (II) Loading /usr/lib64/xorg/modules/drivers/v4l_drv.so
[    52.773] (II) Module v4l: vendor="X.Org Foundation"
[    52.773] 	compiled for 1.14.0, module version = 0.1.1
[    52.773] 	ABI class: X.Org Video Driver, version 14.1
[    52.773] (II) LoadModule: "glx"
[    52.773] (II) Loading /usr/lib64/xorg/extra-modules/libglx.so
[    54.151] (II) Module glx: vendor="NVIDIA Corporation"
[    54.151] 	compiled for 4.0.2, module version = 1.0.0
[    54.151] 	Module class: X.Org Server Extension
[    54.151] (II) NVIDIA GLX Module  304.84  Wed Feb 27 05:18:58 PST 2013
[    54.158] Loading extension GLX
[    54.159] (II) LoadModule: "nvidia"
[    54.159] (II) Loading /usr/lib64/xorg/extra-modules/nvidia_drv.so
[    54.276] (II) Module nvidia: vendor="NVIDIA Corporation"
[    54.276] 	compiled for 4.0.2, module version = 1.0.0
[    54.276] 	Module class: X.Org Video Driver
[    54.294] (WW) NVIDIA: This server has an unsupported input driver ABI version (have 19.1, need < 19.0).  The driver will continue to load, but may behave strangely.
[    54.687] (II) v4l driver for Video4Linux
[    54.688] (II) NVIDIA dlloader X Driver  304.84  Wed Feb 27 05:00:19 PST 2013
[    54.688] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    54.708] (++) using VT number 1

[    54.708] (WW) Falling back to old probe method for v4l
[    54.716] (II) Loading sub module "fb"
[    54.716] (II) LoadModule: "fb"
[    54.716] (II) Loading /usr/lib64/xorg/modules/libfb.so
[    54.731] (II) Module fb: vendor="X.Org Foundation"
[    54.731] 	compiled for 1.14.0, module version = 1.0.0
[    54.731] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    54.731] (II) Loading sub module "wfb"
[    54.731] (II) LoadModule: "wfb"
[    54.731] (II) Loading /usr/lib64/xorg/modules/libwfb.so
[    54.747] (II) Module wfb: vendor="X.Org Foundation"
[    54.747] 	compiled for 1.14.0, module version = 1.0.0
[    54.747] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    54.747] (II) Loading sub module "ramdac"
[    54.747] (II) LoadModule: "ramdac"
[    54.747] (II) Module "ramdac" already built-in
[    54.796] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[    54.796] (==) NVIDIA(0): RGB weight 888
[    54.796] (==) NVIDIA(0): Default visual is TrueColor
[    54.796] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    54.796] (**) NVIDIA(0): Option "AddARGBGLXVisuals"
[    54.796] (**) NVIDIA(0): Option "DynamicTwinView" "false"
[    54.796] (**) NVIDIA(0): Enabling 2D acceleration
[    54.815] (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module. Please see the
[    54.815] (EE) NVIDIA(0):     system's kernel log for additional error messages and
[    54.815] (EE) NVIDIA(0):     consult the NVIDIA README for details.
[    54.815] (EE) NVIDIA(0):  *** Aborting ***
[    54.815] (EE) NVIDIA(0): Failing initialization of X screen 0
[    54.815] (II) UnloadModule: "nvidia"
[    54.815] (II) UnloadSubModule: "wfb"
[    54.815] (II) UnloadSubModule: "fb"
[    54.815] (EE) Screen(s) found, but none have a usable configuration.
[    54.816] 
Fatal server error:
[    54.816] no screens found
[    54.816] (EE) 
Please consult the The X.Org Foundation support 
	 at http://qa.mandriva.com
 for help. 
[    54.816] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    54.816] (EE) 
[    54.867] Server terminated with error (1). Closing log file.
Occore sapere da Andreas, se lui realmente ha il driver nvidia current con il GLX attivo davvero...
Occorre anche vedere cosa dice il syslog in corrispondenza all'errore che il tuo Xorg.0.log riportava...

Però, non ho ben capito dalla tua descrizione e dai post precedenti che cosa effettivamente hai fatto;
mi pare di ricostruire così:
1. update dal repo principale => niente 3D
2. init3: rimozione e installazione dei nvidia 304.84 => ulteriore casino di cui è testimonianza l'Xorg.0.log di cui sopra.
Se è così, tu stai provando i Nvidia con il mesa 9.1.1-69.1 che è quello che probabilmente dà problemi con quelli, ma soprattutto non hai ancora provato quello che probabilmente dovrebbe non darne (quello del repo no-glxtls: mesa-9.1.1-69.2). Saresti così gentile di provare anche quest'ultimo, così vediamo se la mia ipotesi è esatta?

Quanto al messaggio circa l'input ABI: è teoricamente possibile che il driver video dipenda anche dall'ABI di input, ma mi sembra una cosa un po' strana e nessuno degli altri driver ha mai mostrato una simile dipendenza in passato...
è da verificare, tuttavia sospetto che sia un problema distinto dal precedente (infatti è solo un Warning e non un Error): ciò che fa fallire il load di Xorg è l'errore alla riga 54.815, ma in assenza di dettagli dal syslog è diffcile dire cosa l'abbia causato davvero.

GvM

PS. Visto che al momento stai usando nouveau: come va quello? E' sempre difficile avere qualcuno che lo testi un pochino...

Post Reply